flext_base::BindItem Class Reference

This represents an item of the symbol-bound method list. More...

`#include <flclass.h>`

Inheritance diagram for flext_base::BindItem:

## Public Member Functions

| BindItem (bool(*f)(flext_base *, t_symbol *s, int, t_atom *, void *), pxbnd_object *px)
virtual | ~BindItem ()
void | Unbind (const t_symbol *s)
Public Member Functions inherited from flext_base::Item
| Item (AttrItem *a)
virtual | ~Item ()
bool | IsAttr () const

## Public Attributes

bool(* | fun )(flext_base *, t_symbol *s, int, t_atom *, void *)
pxbnd_object * | px
Public Attributes inherited from flext_base::Item
AttrItem * | attr
Item * | nxt

## Detailed Description

This represents an item of the symbol-bound method list.

## Constructor & Destructor Documentation

## BindItem()

flext_base::BindItem::BindItem | ( | bool(*)(flext_base *, t_symbol *s, int, t_atom *, void *) | f,
|  | pxbnd_object * | px
| ) |  |

## ~BindItem()

flext_base::BindItem::~BindItem | ( |  | ) |

virtual

## Member Function Documentation

## Unbind()

void flext_base::BindItem::Unbind | ( | const t_symbol * | s | ) |

## Member Data Documentation

## fun

bool(* flext_base::BindItem::fun) (flext_base *, t_symbol *s, int, t_atom *, void *)

## px

pxbnd_object* flext_base::BindItem::px

The documentation for this class was generated from the following files:

- flclass.h
- flbind.cpp